import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:pharmacy_mobile/widgets/text_widget.dart';

class WarningWidget extends StatelessWidget {
  final String text;
  final String warning;
  const WarningWidget({super.key, required this.text, required this.warning});

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Container(
          decoration: BoxDecoration(
              color: const Color.fromRGBO(121, 15, 5, 0.4),
              borderRadius: BorderRadius.circular(12),
              border: Border.all(width: 2, color: const Color.fromRGBO(42, 2, 2, 1))),
          // width: 200,
          // height: 100,
          padding: const EdgeInsets.symmetric(vertical: 10, horizontal: 16),
          child: Center(
            child: TextWidget(
              text: text,
              size: 14,
            ),
          ),
        ),
        const Gap(16),
        TextWidget(
          text: warning,
          size: 14,
        )
      ],
    );
  }
}
